BMA EHR API Document

Loading...
Searching...
No Matches
Properties | List of all members
BMA.EHR.Domain.Models.MetaData.Holiday Class Reference
Inheritance diagram for BMA.EHR.Domain.Models.MetaData.Holiday:

## Properties
int | Year = 0`[get, set]`
DateTime | HolidayDate = DateTime.Now.Date`[get, set]`
DateTime | OriginalDate = DateTime.Now.Date`[get, set]`
string | Name = string.Empty`[get, set]`
bool | IsSpecial = true`[get, set]`
string | Category = "NORMAL"`[get, set]`
Properties inherited from BMA.EHR.Domain.Models.Base.EntityBase
Guid | Id`[get, set]`
DateTime | CreatedAt = DateTime.Now`[get, set]`
string | CreatedUserId = string.Empty`[get, set]`
DateTime? | LastUpdatedAt`[get, set]`
string | LastUpdateUserId = string.Empty`[get, set]`
string | CreatedFullName = string.Empty`[get, set]`
string | LastUpdateFullName = string.Empty`[get, set]`

## Property Documentation

## ◆ Category

string BMA.EHR.Domain.Models.MetaData.Holiday.Category = "NORMAL"
| get set

## ◆ HolidayDate

DateTime BMA.EHR.Domain.Models.MetaData.Holiday.HolidayDate = DateTime.Now.Date
| get set

## ◆ IsSpecial

bool BMA.EHR.Domain.Models.MetaData.Holiday.IsSpecial = true
| get set

## ◆ Name

string BMA.EHR.Domain.Models.MetaData.Holiday.Name = string.Empty
| get set

## ◆ OriginalDate

DateTime BMA.EHR.Domain.Models.MetaData.Holiday.OriginalDate = DateTime.Now.Date
| get set

## ◆ Year

int BMA.EHR.Domain.Models.MetaData.Holiday.Year = 0
| get set

The documentation for this class was generated from the following file:

- BMA.EHR.Domain/Models/MetaData/Holiday.cs